POST /labelprofile
/labelprofile
Avi Tenant Header
Avi Tenant Header UUID
The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.
Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.
LabelProfile object creation
Show optional properties
{
"name": "string"
}
{
"_last_modified": "string",
"description": "string",
"label_definitions": [
{
"description": "string",
"match_action_scopes": [
"string"
],
"name": "string",
"type": "string"
}
],
"log_labels": false,
"name": "string",
"tenant_ref": "string",
"url": "string",
"uuid": "string"
}
OK
{
"_last_modified": "string",
"description": "string",
"label_definitions": [
{
"description": "string",
"match_action_scopes": [
"string"
],
"name": "string",
"type": "string"
}
],
"log_labels": false,
"name": "string",
"tenant_ref": "string",
"url": "string",
"uuid": "string"
}
UNIX time since epoch in microseconds. Units(MICROSECONDS).
Description of this label profile. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Labels available in this profile. Label names must be unique (case-insensitive). Field introduced in 32.1.4. Maximum of 256 items allowed. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Enables logging of WAAP labels effective for a request into ApiLog.effective_labels in the application log. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Name of this object, unique per Tenant. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
It is a reference to an object of type Tenant. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
url
The object UUID. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
log in failed
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"name":"string"}' https://{api_host}/api/labelprofile